Name:           python-opal-client
Version:        0.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        OPAL is an administration layer for Open Policy Agent (OPA), detecting changes to both policy and data and pushing live updates to your agents. The opal-client is deployed alongside a policy-store (e.g: OPA), keeping it up-to-date, by connecting to an opal-server and subscribing to pub/sub updates for policy and policy data changes.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/permitio/opal
Source:         %{pypi_source opal-client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'opal-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-opal-client
Summary:        %{summary}

%description -n python3-opal-client %_description


%prep
%autosetup -p1 -n opal-client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-opal-client -f %{pyproject_files}


%changelog
%autochangelog